%global php_libname          htmlpurifier
Name:      php-htmlpurifier
Version:   4.0.0
Release:   1%{?dist}
License:   LGPLv2+
Summary:   standards-compliant HTML filter library 
Group:     Development/Libraries
URL:       http://www.htmlpurifier.org
Source:    http://htmlpurifier.org/releases/htmlpurifier-4.0.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  php >= 5.0.5
BuildArch: noarch

%description
Standards-compliant HTML filter library written in 
PHP. HTML Purifier will not only remove all malicious code 
(better known as XSS) with a thoroughly audited, secure yet permissive 
whitelist, it will also make sure your documents are standards compliant, 
something only achievable with a comprehensive knowledge of W3C's 
specifications.
%prep
%setup -qn %{php_libname}-%{version}
rm -rf library/HTMLPurifier/DefinitionCache/Serializer

%build
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/php/%{php_libname}
cp -a library/*  %{buildroot}%{_datadir}/php/%{php_libname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CREDITS FOCUS INSTALL INSTALL.fr.utf8 LICENSE NEWS README TODO VERSION WHATSNEW WYSIWYG 
%{_datadir}/php/%{php_libname}

%changelog

* Thu Nov 26 2009 David Nalley <david@gnsa.us> 4.0.0-1
- Initial Packaging

